# pydicom.valuerep.MultiString

pydicom.valuerep.MultiString(val: str, valtype: Optional[Callable[[str], pydicom.valuerep._T]] = None) → Union[pydicom.valuerep._T, MutableSequence[pydicom.valuerep._T]]

  Split a string by delimiters if there are any

  Parameters

    - val (str) – The string to split up.

    - valtype (type or callable, optional) – Default `str`, but can be e.g. `UID` to overwrite to a specific type.

  Returns

    The split value as valtype or a `list` of valtype.

  Return type

    valtype or MultiValue of valtype